net.sf.jasperreports.engine.fill

## Class JRParameterDefaultValuesEvaluator

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRParameterDefaultValuesEvaluator

-     public final class JRParameterDefaultValuesEvaluator
      extends java.lang.Object

  Utility class to be used to evaluate parameter default value expressions for a report without actually filling it.
  Version:
    $Id: JRParameterDefaultValuesEvaluator.java 6911 2014-02-18 15:56:25Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `JRParameterDefaultValuesEvaluator.ObjectFactory`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.Object>` | `evaluateParameterDefaultValues(JasperReport report, java.util.Map<java.lang.String,java.lang.Object> initialParameters)` Evaluates the default values for the parameters of a report.
    `static java.util.Map<java.lang.String,java.lang.Object>` | `evaluateParameterDefaultValues(JasperReportsContext jasperReportsContext, JasperReport report, java.util.Map<java.lang.String,java.lang.Object> initialParameters)` Evaluates the default values for the parameters of a report.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### evaluateParameterDefaultValues

          public static java.util.Map<java.lang.String,java.lang.Object> evaluateParameterDefaultValues(JasperReport report,
                                                                                        java.util.Map<java.lang.String,java.lang.Object> initialParameters)
                                                                                                 throws JRException

      Evaluates the default values for the parameters of a report.
      Parameters:
        `report` - the report
        `initialParameters` - initial parameter value map
      Returns:
        a map containing parameter values indexed by parameter names
      Throws:
        `JRException`

    - #### evaluateParameterDefaultValues

          public static java.util.Map<java.lang.String,java.lang.Object> evaluateParameterDefaultValues(JasperReportsContext jasperReportsContext,
                                                                                        JasperReport report,
                                                                                        java.util.Map<java.lang.String,java.lang.Object> initialParameters)
                                                                                                 throws JRException

      Evaluates the default values for the parameters of a report.
      Parameters:
        `report` - the report
        `initialParameters` - initial parameter value map
      Returns:
        a map containing parameter values indexed by parameter names
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com